Get entity settings

Entity settings include configuration options for accounts payable, accounts receivable, accounting integration, and other functionality. Both partner tokens and entity user tokens can be used for authentication. Entity users must have a role with the `entity.read` permission. Related endpoints: * [Get next document numbers](https://docs.monite.com/api/entities/get-entities-id-settings-next-document-numbers) * [Get partner settings](https://docs.monite.com/api/partner-settings/get-settings)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
A unique ID to specify the entity.

Headers

x-monite-versionstringRequired

Response

Successful Response
accountingobject
allow_purchase_order_autolinkingboolean
Automatically attempt to find a corresponding purchase order for all incoming payables.
currencyobject
document_idsobject
document_renderingobject
Settings for rendering documents in PDF format.
generate_paid_invoice_pdfbooleanDefaults to false
This setting affects how PDF is generated for accounts receivable invoices that are paid, partially paid, or have credit notes applied. If this setting is `true`: * The totals block in the PDF invoice will include a list of all payments made and credit notes issued. * Once an invoice becomes fully paid, the payment link and QR code are removed. The PDF invoice gets regenerated at the moment when an invoice payment is recorded or a credit note is issued. This PDF is not issued as a separate document, and the original PDF invoice is no longer available.
languageenum
mailobject
Email settings for the entity
payables_ocr_auto_tagginglist of objects
Auto tagging settings for all incoming OCR payable documents.
payables_skip_approval_flowbooleanDefaults to false

If enabled, the approval policy will be skipped and the payable will be moved to waiting_to_be_paid status.

payment_priorityenum
Payment preferences for entity to automate calculating suggested payment date based on payment terms and entity preferences.
Allowed values:
quote_signature_requiredbooleanDefaults to false
Sets the default behavior of whether a signature is required to accept quotes.
receivable_edit_flowenum
[Invoice compliance mode](https://docs.monite.com/accounts-receivable/regulatory-compliance/invoice-compliance) for accounts receivable. Possible values: * `compliant` - invoices cannot be edited once issued. * `non_compliant` - issued invoices can still be edited. * `partially_compliant` - deprecated mode, should not be used.
Allowed values:
reminderobject
vat_inclusive_discount_modeenum

Defines whether the amount discounts (for percentage discounts it does not matter) on VAT inclusive invoices will be applied on amounts including VAT or excluding VAT.

Allowed values:
vat_modeenum
Defines whether the prices of products in receivables will already include VAT or not.
Allowed values:

Errors

400
Get Entities ID Settings Request Bad Request Error
401
Get Entities ID Settings Request Unauthorized Error
422
Get Entities ID Settings Request Unprocessable Entity Error
429
Get Entities ID Settings Request Too Many Requests Error